Bug 830000 - RFE: Overview for available keyboard shortcuts in web editor
RFE: Overview for available keyboard shortcuts in web editor
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
medium Severity medium
: ---
: 1.6
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 20:50 EDT by David Mason
Modified: 2012-11-29 18:27 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.6
Doc Type: Bug Fix
Doc Text:
Cause There is no single point of reference to discover the available key shortcuts in the web editor. Consequence Many key shortcuts can only be discovered through tooltips on UI elements, and some key shortcuts cannot be discovered through the UI. Change A key shortcut summary has been added that shows available key shortcuts for the current view. The summary is shown by clicking a keyboard icon or by inputting Alt+Y, and hidden by clicking outside the summary or pressing Esc. Only the currently active shortcuts shown (e.g. editor shortcuts are only shown when the editor is open). Result Users can click the keyboard icon or press Alt+Y to discover all currently available key shortcuts.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 18:27:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-06-07 20:50:21 EDT
Description of problem:
There is no single point of reference to discover the available key shortcuts in the web editor. Many key shortcuts can only be discovered through tooltips on UI elements, and some key shortcuts cannot be discovered through the UI.

Expected results:
A single point of reference that shows all available key shortcuts.
Comment 1 David Mason 2012-06-07 21:09:39 EDT
An initial implementation has been added with key shortcuts for the Search-replace page and for changing views.

Alt+Y shows a summary of available key shortcuts for the current view, but does not yet show a complete list. Specifically, key shortcuts for the editor are not yet shown in the summary (but should all still be functioning as before).
Comment 2 David Mason 2012-06-07 21:09:40 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
There is no single point of reference to discover the available key shortcuts in the web editor.

Consequence
Many key shortcuts can only be discovered through tooltips on UI elements, and some key shortcuts cannot be discovered through the UI.

Change
A key shortcut summary has been added that shows available key shortcuts for the current view. The summary is shown by inputting Alt+Y, and hidden by clicking outside the summary. The list of shortcuts is not yet complete, as editor key shortcuts have not yet been added to the summary. No UI element has yet been added to access the key shortcut summary.

Result
Users can press Alt+Y to discover some of the available key shortcuts.
Comment 3 Ding-Yi Chen 2012-07-22 22:25:57 EDT
VERIFIED with Zanata version 1.7.0-alpha-2-SNAPSHOT (20120723-0951)
Comment 4 David Mason 2012-07-22 23:18:05 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -5,7 +5,7 @@
 Many key shortcuts can only be discovered through tooltips on UI elements, and some key shortcuts cannot be discovered through the UI.
 
 Change
-A key shortcut summary has been added that shows available key shortcuts for the current view. The summary is shown by inputting Alt+Y, and hidden by clicking outside the summary. The list of shortcuts is not yet complete, as editor key shortcuts have not yet been added to the summary. No UI element has yet been added to access the key shortcut summary.
+A key shortcut summary has been added that shows available key shortcuts for the current view. The summary is shown by clicking a keyboard icon or by inputting Alt+Y, and hidden by clicking outside the summary or pressing Esc. Only the currently active shortcuts shown (e.g. editor shortcuts are only shown when the editor is open).
 
 Result
-Users can press Alt+Y to discover some of the available key shortcuts.+Users can click the keyboard icon or press Alt+Y to discover all currently available key shortcuts.

Note You need to log in before you can comment on or make changes to this bug.